<main class="container">
  <div class="row">

    <div class="mt-5 col-10 offset-1">
      <form class="card shadow">
        <header class="card-header">FileUpload</header>
        <section class="card-body">
          <div class="row">
            <div class="col-4">
              <div class="form-group">
                <label for="nome">Nome</label>
                <input type="text" id="nome" class="form-control">
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label for="sobrenome">Sobrenome</label>
                <input type="text" id="sobrenome" class="form-control">
              </div>
            </div>
            <div class="col-4">
              <div class="form-group">
                <label for="arquivos">Arquivos</label>
                <input #arquivos type="file" multiple id="arquivos" class="d-none"
                       (change)="onFileSelection($event.target)">
                <div class="btn-group d-block">
                  <label for="arquivos" class="btn btn-outline-primary mb-0">Selecionar arquivos</label>
                  <div class="btn-group" dropdown [insideClick]="true" *ngIf="files.length">
                    <button type="button" class="btn btn-primary dropdown-toggle" dropdownToggle>
                      <i class="fa fa-file-o"></i> {{files.length}}
                    </button>
                    <ul class="dropdown-menu dropdown-menu-right" *dropdownMenu>
                      <li *ngFor="let file of files; index as i">
                        <span class="dropdown-item">
                          <i class="fa text-primary mr-1" [ngClass]="getFileIcon(file)"></i>
                          <i class="fa fa-trash text-danger cursor-pointer"
                             (click)="removeFile($event, i)"></i>
                          {{file.name}}
                        </span>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <footer class="card-footer">
          <button type="submit" class="btn btn-info">Enviar</button>
          <button type="reset" class="btn btn-danger float-right">Limpar</button>
        </footer>
      </form>
    </div>

  </div>
</main>
